path: /build/build/test-unit-dev-ruby-2-3.6.8.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/test-unit:2 -pv -t
  - |
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/test-unit:2
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/test-unit && luet-portage --dir
    /pkgdir/test-unit dev-ruby/test-unit:2
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:24cdff03a8c20fe8e59a2ce29f0fcea4d22d859783de128ff6f1357271f1386a
  package:
    name: test-unit
    version: 3.6.8
    category: dev-ruby-2
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: test-unit
    uri:
    - https://github.com/test-unit/test-unit
    license: '|| ( Ruby GPL-2 ) PSF-2'
    buildtimestamp: 2025-09-19 22:35:11.406082605 +0000 UTC m=+556.542680088
    labels:
      BDEPEND: test? ( ruby_targets_ruby32? ( dev-ruby/power_assert[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( dev-ruby/power_assert[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( dev-ruby/power_assert[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/power_assert[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: doc test test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31
        ruby_targets_ruby32 doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-ruby/power_assert[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( dev-ruby/power_assert[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( dev-ruby/power_assert[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/power_assert[ruby_targets_ruby27(-)]
        ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/test-unit:2
      kit: ruby-kit
      original.package.name: dev-ruby/test-unit
      original.package.slot: "2"
      original.package.version: 3.6.8
    treedir: /build/packages
  package_dir: /pkgdir/test-unit
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 389045a73657a7e4f8b06ea800a65c5f6ecd32b8cc72d2e28a0803168d1e027a
compressiontype: zstd
files:
- usr/bin/test-unit
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/bin/test-unit
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/assertion-failed-error.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/assertions.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/attribute-matcher.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/attribute.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/auto-runner-loader.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/autorunner.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/code-snippet-fetcher.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/collector/descendant.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/collector/dir.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/collector/load.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/collector/objectspace.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/collector/xml.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/collector.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/color-scheme.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/color.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/data-sets.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/data.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/diff.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/error.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/exception-handler.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/failure.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/fault-location-detector.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/fixture.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/notification.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/omission.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/pending.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/priority.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/runner/console.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/runner/emacs.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/runner/xml.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/sub-test-result.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/test-run-context.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/test-suite-creator.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/test-suite-runner.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/test-suite-thread-runner.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/test-thread-run-context.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/testcase.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/testresult.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/testsuite.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/ui/console/outputlevel.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/ui/console/testrunner.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/ui/emacs/testrunner.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/ui/testrunner.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/ui/testrunnermediator.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/ui/testrunnerutilities.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/ui/xml/testrunner.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/util/backtracefilter.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/util/memory-usage.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/util/method-owner-finder.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/util/observable.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/util/output.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/util/procwrapper.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/version.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit/warning.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test/unit.rb
- usr/lib64/ruby/gems/3.1.0/gems/test-unit-3.6.8/lib/test-unit.rb
- usr/lib64/ruby/gems/3.1.0/specifications/test-unit-3.6.8.gemspec
- usr/share/doc/test-unit-3.6.8/README.md.bz2
- usr/share/doc/test-unit-3.6.8/getting-started.md.bz2
- usr/share/doc/test-unit-3.6.8/how-to.md.bz2
- usr/share/doc/test-unit-3.6.8/news.md.bz2
- var/db/pkg/dev-ruby/test-unit-3.6.8/BDEPEND
- var/db/pkg/dev-ruby/test-unit-3.6.8/BUILD_TIME
- var/db/pkg/dev-ruby/test-unit-3.6.8/CATEGORY
- var/db/pkg/dev-ruby/test-unit-3.6.8/CBUILD
- var/db/pkg/dev-ruby/test-unit-3.6.8/CFLAGS
- var/db/pkg/dev-ruby/test-unit-3.6.8/CHOST
- var/db/pkg/dev-ruby/test-unit-3.6.8/CONTENTS
- var/db/pkg/dev-ruby/test-unit-3.6.8/COUNTER
- var/db/pkg/dev-ruby/test-unit-3.6.8/CTARGET
- var/db/pkg/dev-ruby/test-unit-3.6.8/CXX
- var/db/pkg/dev-ruby/test-unit-3.6.8/CXXFLAGS
- var/db/pkg/dev-ruby/test-unit-3.6.8/DEFINED_PHASES
- var/db/pkg/dev-ruby/test-unit-3.6.8/DEPEND
- var/db/pkg/dev-ruby/test-unit-3.6.8/DESCRIPTION
- var/db/pkg/dev-ruby/test-unit-3.6.8/EAPI
- var/db/pkg/dev-ruby/test-unit-3.6.8/FEATURES
- var/db/pkg/dev-ruby/test-unit-3.6.8/HOMEPAGE
- var/db/pkg/dev-ruby/test-unit-3.6.8/INHERITED
- var/db/pkg/dev-ruby/test-unit-3.6.8/IUSE
- var/db/pkg/dev-ruby/test-unit-3.6.8/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/test-unit-3.6.8/KEYWORDS
- var/db/pkg/dev-ruby/test-unit-3.6.8/LDFLAGS
- var/db/pkg/dev-ruby/test-unit-3.6.8/LICENSE
- var/db/pkg/dev-ruby/test-unit-3.6.8/PF
- var/db/pkg/dev-ruby/test-unit-3.6.8/RDEPEND
- var/db/pkg/dev-ruby/test-unit-3.6.8/RESTRICT
- var/db/pkg/dev-ruby/test-unit-3.6.8/SIZE
- var/db/pkg/dev-ruby/test-unit-3.6.8/SLOT
- var/db/pkg/dev-ruby/test-unit-3.6.8/USE
- var/db/pkg/dev-ruby/test-unit-3.6.8/environment.bz2
- var/db/pkg/dev-ruby/test-unit-3.6.8/repository
- var/db/pkg/dev-ruby/test-unit-3.6.8/test-unit-3.6.8.ebuild
package_cacheimage: ""
runtime:
  name: test-unit
  version: 3.6.8
  category: dev-ruby-2
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: power_assert
    version: '>=0'
    category: dev-ruby
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: test-unit
  uri:
  - https://github.com/test-unit/test-unit
  license: '|| ( Ruby GPL-2 ) PSF-2'
  labels:
    BDEPEND: test? ( ruby_targets_ruby32? ( dev-ruby/power_assert[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( dev-ruby/power_assert[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( dev-ruby/power_assert[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/power_assert[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: doc test test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31
      ruby_targets_ruby32 doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-ruby/power_assert[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( dev-ruby/power_assert[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( dev-ruby/power_assert[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( dev-ruby/power_assert[ruby_targets_ruby27(-)]
      ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/test-unit:2
    kit: ruby-kit
    original.package.name: dev-ruby/test-unit
    original.package.slot: "2"
    original.package.version: 3.6.8
